	<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 1) ? 0 : i + 1; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }
	
	
	
	

window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==115){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }


        /////////   deshabilitar el f5 refrecar del navegador ///////////
//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 
 

function actualizar_articulo(cdgbar,codfacturatmp,numlinea,cantidad,cliexe,descuento, cdgcli)
{
	
	
	posicion=(numlinea*16)-30;
	parent.document.formulario_lineas.posicion.value=posicion; /// indica la posicion del scroll bar
    var elmnt = document.getElementById("xdetalleAWSUPER2");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft =posicion; 
    elmnt.scrollTop =posicion;
	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidado no pueder ser igual o menor a cero")
		  parent.document.getElementById("formulario_lineas").submit();
		 
} else {

document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento +"&cdgcli=" + cdgcli;
	//location.href="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;

}}


function  actualizar_articulo_descuento(cdgbar,codfacturatmp,numlinea,descuento,cliexe,cantidad,desmin,desmax, cdgcli)
{
	

		if ( descuento <= desmin ) 
		 {
	 
	document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento +"&cdgcli=" + cdgcli;

  				
	 }else if  ( descuento >  desmin && descuento  <= desmax ) {
	
		document.getElementById("frame_datos3").src="validar_descuento.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento +"&cdgcli=" + cdgcli;
 


	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");
  			parent.document.getElementById("formulario_lineas").submit();
	
			
			 }

}


	
		


function eliminar_linea(codfacturatmp,numlinea,cliexe, cdgcli)
{
	if (confirm(" Desea eliminar esta linea ? "))

document.getElementById("frame_datos").src="eliminar_linea_super.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe +"&cdgcli=" + cdgcli;
}

function pon_prefijo(filas,subtotal,descuento,impuesto,total,total_dolar,total_verificar,filas_error, filas_comodin , percampre) {
	parent.document.formulario.baseimponible.value=subtotal;
	parent.document.formulario_lineas.filas.value=filas;	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario.total2.value=total;
	parent.document.formulario.total_verificar.value=total_verificar;
	parent.document.formulario.total_dolar.value=total_dolar;
	parent.document.formulario.filas_error.value=filas_error;
	parent.document.formulario.filas_comodin.value=filas_comodin;

	if (percampre == 0 ){
	parent.document.formulario_lineas.preivi.disabled=true;	 // SE AGREGA EN LA VERSION 4.4 INMOVILIZA EL PRECIO
              } else { 
			  
	parent.document.formulario_lineas.preivi.disabled=false;	 // SE AGREGA EN LA VERSION 4.4 INMOVILIZA EL PRECIO	  
			  }
			  
    parent.document.getElementById("cdgbar").focus();
  


}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;			
	
}

  

	function done() { 

             document.getElementById("popup").style.display = "none";
   		     var codfacturatmp = document.getElementById("codfactura").value; 
			 var numlinea = document.getElementById("numlinea").value; 
			 var cantidad = document.getElementById("cantidad").value; 
			 var cdgbar = document.getElementById("cdgbar").value; 
		     var cliexe = document.getElementById("cliexe").value; 
		     var descuento = document.getElementById("descuento").value; 

			 var clades = document.getElementById("clades").value; 
			 var password = document.getElementById("pass").value; 
	         clades=parseInt(clades);
		     password=parseInt(password);
			
			
			 
			 if (clades == password) { 
	//	 alert("lo logre\n\n"+clades+password);

			document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;


			 }else { 
			 
			 alert("Contraseña incorrecta favor verifique");
		     parent.document.getElementById("formulario_lineas").submit();
			 
			}}

	
		
		//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		validardescuento();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)



					function inicio() {
    var elmnt = document.getElementById("xdetalleAWSUPER2");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft =posicion;
    elmnt.scrollTop =posicion;
}

	
	
</script>





<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body  onKeyDown="javascript:f5()" onLoad="nobackbutton();inicio(); ">
<?php 
include ("../conexion.php");

$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $tipcamdol = $fila["tipcamdol"];
		$clades = $fila["clades"];
		$percampre =   $fila["percampre"];     // se agrega en la version 4.4
 

 if (!isset( $_POST["codfacturatmp"])) { 
  $codfacturatmp=$_GET["codfacturatmp"]; 
 $cdgcli=$_GET["cdgcli"];
 
  $cliexe=$_GET["cliexe"];
  $posicion=$_GET["posicion"];

 } else  {   // si no es modificacion desde la rejilla
   $codfacturatmp=$_POST["codfacturatmp"];
  $codfacturatmp=$_POST["codfacturatmp2"]; 
  $cantnueva=$_POST["cantidad"];	
  $cdgbar=$_POST["cdgbar"];
  $importe=$_POST["importe"];
  $cliexe=$_POST["cliexe2"];
  $posicion=$_POST["posicion"];
  $cdgcli=$_POST["cdgclifac2"];
 } 



 $consulta = "SELECT tarexoagro , cdgtar  , numdocexo , fecemiexo  FROM web_0301 WHERE cdgcli='$cdgcli'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
$tarexoagro = $fila["tarexoagro"];
$cdgtar     = $fila["cdgtar"];  	////  version tarifa distinta al 13   //////////////////////////////////
 $numdocexo  = $fila["numdocexo"];  // agrega verificacion cabys exoneracion
 $fecemiexo  = $fila["fecemiexo"];  // agrega verificacion cabys exoneracion


$retorno=0;	

if (!isset( $_POST["cdgbar"]) ) { $cdgbar=""; } 



if ($result = $mysqli->query("SELECT * FROM pedidos_lineastmp WHERE codfactura=$codfacturatmp and codigo='$cdgbar' AND pedidos_lineastmp.tipart <> 2 AND pedidos_lineastmp.importe <> 0.00 ")) {
   $filas = $result->num_rows;
   $result->close();
}




      ////////////   si el codigo ya exsite en pedidos_lineas y no es 101 ni 102 //////////////
if ($filas>0 && $importe <> 0.00) {


$consulta6 = "SELECT pedidos_lineastmp.*,web_1001.* FROM pedidos_lineastmp,web_1001 WHERE pedidos_lineastmp.codfactura=$codfacturatmp AND pedidos_lineastmp.codigo=web_1001.cdgbar AND pedidos_lineastmp.codigo='$cdgbar' AND  pedidos_lineastmp.tipart <> 2 AND pedidos_lineastmp.importe <> 0.00  ORDER BY pedidos_lineastmp.numlinea ASC ";
if ($resultado6 = $mysqli->query($consulta6)) 
$contador=0;

		 while ($fila = $resultado6->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $cdgbar = $fila["CDGBAR"];
        $dscart = $fila["dscart"];
		$cantvieja = $fila["cantidad"];
		$preivi = $fila["preivi"];
		$importe = $fila["importe"];
		$cob_iv = $fila["COB_IV"];
		$existencia= $fila["EXIACT"];
     	$pasillo= $fila["pasillo"];
		$estante= $fila["estante"];
		$ivporc= $fila["ivporc"]/100+1;
 		$tipcanbas = $fila["tipcanbas"];  ////   version exoneracion agropecuaria
		
		
		
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		 	
		if  ( $tarexoagro > 0 &&   $tipcanbas == 1 ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 

		  $ivporc =   $tarexoagro  ;
		  $ivporc =   $ivporc/100+1;	
		} else {
		
		 $ivporc= $fila["ivporc"]/100+1;

		}
		
		
	
	$cliexe=$_POST["cliexe2"];
	$descuento=$_POST["descuento"];
	
    $cantidad=$cantnueva+$cantvieja;
	$importe=$cantidad*$preivi;

	
 	if ($descuento > 0 ){
		
		$mondes=$importe*$descuento/100;
		
		} else {
			
		$mondes=0;	
			}
	
	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*$ivporc;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;		
		$impuesto=0;	
	}
	
		
	$query="UPDATE  pedidos_lineastmp SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura=$codfacturatmp and codigo='$cdgbar' and numlinea=$numlinea ";
$mysqli->query($query);
	
	

	 } } else {
		     ////////////////////////  si el codigo ingresa por promera vez en el detalle de la factura  ///////////////
	

$posicion=3000;
 $modif=2;
if ($cdgbar<>"") { 

if ($modif<>1) { 
		if (!isset($codfacturatmp)) { 
			$codfacturatmp=$_GET["codfacturatmp"]; 
			$retorno=1; }
		if ($retorno==0) {	
				
				if (!isset($_POST["cdgbar"]))    { $cdgbar=""; }    else  {  $cdgbar=$_POST["cdgbar"]; }//    cambio version   8.0.2
				if (!isset($_POST["cantidad"]))  { $cantidad=""; }  else  {  $cantidad=$_POST["cantidad"]; }//    cambio version   8.0.2
				if (!isset($_POST["preivi"]))    { $preivi=""; }    else  {  $preivi=$_POST["preivi"]; }//    cambio version   8.0.2
				if (!isset($_POST["preivi2"]))   { $preivi2=""; }   else  {  $preivi2=$_POST["preivi2"]; }//    cambio version   8.0.2
				if (!isset($_POST["ivporc"]))    { $ivporc="0"; }    else  {  $ivporc=$_POST["ivporc"]; }//    cambio version   8.0.2
				if (!isset($_POST["importe"]))   { $importe=""; }   else  {  $importe=$_POST["importe"]; }//    cambio version   8.0.2
				if (!isset($_POST["descuento"])) { $descuento=""; } else  {  $descuento=$_POST["descuento"]; }//    cambio version   8.0.2
				if (!isset($_POST["mondes"]))    { $mondes=""; }    else  {  $mondes=$_POST["mondes"]; }//    cambio version   8.0.2
				if (!isset($_POST["impuesto"]))  { $impuesto="0"; }  else  {  $impuesto=$_POST["impuesto"]; }//    cambio version   8.0.2
				if (!isset($_POST["dscart"]))    { $dscart=""; }    else  {  $dscart= strtoupper($_POST["dscart"]); }//    cambio version   8.0.2
				//if (!isset($_POST["tipart"]))    { $tipart=""; }    else  {  $tipart=$_POST["tipart"]; }//    cambio version   8.0.2

			

				$consulta2 = "SELECT COB_IV, tipart FROM web_1001 WHERE cdgbar='$cdgbar' or  cdgbar2='$cdgbar'  and estart = 1  ";
				$resultado2 = $mysqli->query($consulta2);
				$fila = $resultado2->fetch_array();
				$cob_iv = $fila["COB_IV"];
				$tipart = $fila["tipart"];
	

			
				if (($tipart ==2)  and ($cliexe==1) and ($cob_iv == 1) ){ $preivi=$preivi/$ivporc; } else { $preivi=$preivi; } 
				
				$sel_insert="INSERT INTO pedidos_lineastmp (codfactura,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto, tipart) VALUES ($codfacturatmp,'$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto','$tipart')";
				

				$mysqli->query($sel_insert);
		}
} }
}


?>
<div id="xdetalleAWSUPER2">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>

      
  <form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">
  

  <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
if($codfacturatmp=="") {
 $codfacturatmp=$_GET["codfacturatmp"];
  $cliexe=$_GET["cliexe"];
  $posicion=$_GET["posicion"];
} 
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;

if($cliexe=="") {
 $cliexe=$_POST["cliexe"];
 
}   ///////////////////    muestra los datos de pedidos_lineas en la rejilla  refrescando  si el valor es exento, gravado y desucentos  //////////////////////
 $codfacturatmp;
$contador=0;
		
	$consulta = "SELECT pedidos_lineastmp.*,web_1001.* FROM pedidos_lineastmp,web_1001 WHERE pedidos_lineastmp.codfactura=$codfacturatmp AND pedidos_lineastmp.codigo=web_1001.cdgbar ORDER BY pedidos_lineastmp.numlinea DESC";

if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {
		

        $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["codigo"];
       $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$cob_iv = $fila2["COB_IV"];
		$desmin= $fila2["desmin"];
     	$desmax= $fila2["desmax"];
		$tipart= $fila2["tipart"];
		$descuento= $fila2["dcto"];
		$ivporc= $fila2["ivporc"]/100+1;
    	$tipcanbas = $fila2["tipcanbas"];  ////   version exoneracion agropecuaria
		
		
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		 	
		if  ( $tarexoagro > 0 &&   $tipcanbas == 1 ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 

		  $ivporc =   $tarexoagro  ;
		  $ivporc =   $ivporc/100+1;	
		} else {
		
		 $ivporc= $fila2["ivporc"]/100+1;
		
		}
		
		
	
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	
	$importe=$cantidad*$preivi;
	$mondes=$importe*$descuento/100;
	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*$ivporc;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;


$consulta5 = "SELECT tipart FROM web_1001 WHERE cdgbar='$cdgbar'  ";
$resultado5 = $mysqli->query($consulta5);
$fila5 = $resultado5->fetch_array();

        $tipart = $fila5["tipart"];

	
	$sel_act3="UPDATE   pedidos_lineastmp SET cantidad='$cantidad' , importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto', tipart='$tipart' WHERE codfactura=$codfacturatmp and codigo='$cdgbar' and numlinea=$numlinea ";
	$mysqli->query($sel_act3);
	
	
	
	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
        
        		<td width="10%" class=""><div align="left"><?php echo $cdgbar?></div></td>    
				<td width="3%"><?php //echo $cdgbar?></td>
				<td width="50%"><?php echo $dscart?></td>
              <td align="center" width="4%"><?php echo $paga_impuesto?></td>
	
        <td width="6%"><div align="right"><input type="text"   value="<?php echo number_format($cantidad,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo $cdgbar ?>',<?php echo $codfacturatmp ?>,<?php echo $numlinea?>,this.value,<?php echo $cliexe ?>,<?php echo $descuento ?>,<?php echo $cdgcli ?>)"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
 
        <td width="10%"><div align="right"><?php echo number_format($preivi,2,".",",")?></div></td>
        <td width="4%"><div align="right"><input type="text"   value="<?php echo number_format($descuento,2,".",",") ?>"  name="descuento"  onkeypress="return tabE(this,event)"  style='text-align:right;'  onChange="actualizar_articulo_descuento('<?php echo $cdgbar ?>',<?php echo $codfacturatmp ?>,<?php echo $numlinea?>,this.value,<?php echo $cliexe ?>,<?php echo $cantidad ?>,<?php echo $desmin ?>,<?php echo $desmax ?>,<?php echo $cdgcli ?>)"      maxlength="15" size="8" autocomplete="off"    /> </div></td>

				<td width="10%"><div align="right"><?php echo number_format($importe,2,".",",")?></div></td>
				<td width="5%"><div align="center"><a href="javascript:eliminar_linea(<?php echo $codfacturatmp ?>,<?php echo $numlinea?>,<?php echo $cliexe ?>,<?php echo $cdgcli ?>)"><img src="../img/Symbol-Delete_32x32-32.png"  width="25" height="25" border="0"></a></div></td>
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >	
    </tr>
					
					

			
<?php 
$contador++;

  $subtotal=$baseimp+$basedescuento;
  $preciotot=$subtotal-$basedescuento+$baseiva;
  $preciotot=round($preciotot);
  $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
  $subtotal=number_format($subtotal,2,".",",");
  $total_verificar=$preciotot;
  $total=number_format($preciotot,2,".",",");
  $total_dolar=$preciotot/$tipcamdol;
  $total_dolar=number_format($total_dolar,2,".",",");


$query_busqueda="SELECT count(*) as filas FROM pedidos_lineastmp WHERE  codfactura=$codfacturatmp " ;
$rs_busqueda=$mysqli->query($query_busqueda);
$row=mysqli_fetch_assoc($rs_busqueda);
$filas=$row["filas"];


$query_busqueda_error="SELECT count(*) as filas_error FROM pedidos_lineastmp WHERE  codfactura=$codfacturatmp and importe = 0.00 " ;
$rs_busqueda_error=$mysqli->query($query_busqueda_error);
$row_error=mysqli_fetch_assoc($rs_busqueda_error);
 $filas_error=$row_error["filas_error"];
 
$query_busqueda_comodin="SELECT count(*) as filas_comodin FROM pedidos_lineastmp WHERE  codfactura=$codfacturatmp and codigo > 100 and codigo < 103 " ;
$rs_busqueda_comodin=$mysqli->query($query_busqueda_comodin);
$row_comodin=mysqli_fetch_assoc($rs_busqueda_comodin);
 $filas_comodin=$row_comodin["filas_comodin"];

}
	
		
?>

					<script languaje="javascript">
	pon_prefijo("<?php echo $filas ?>","<?php echo $subtotal ?>","<?php echo $descuento ?>","<?php echo $impuesto ?>","<?php echo $total ?>","<?php echo $total_dolar?>","<?php echo $total_verificar?>","<?php echo $filas_error?>","<?php echo $filas_comodin?>","<?php echo $percampre ?>");
	
		</script>


</table>
  <input id="posicion" name="posicion" type="hidden" value=" <?php echo $posicion ?>" >
    <div id="popup">
   		<div>Clave Extradescuento</div>
        <BR> 
 <input  autofocus id="pass" size="8"  style='text-align:center;'  name="pass"  value="" type="password" onKeyPress="return tabE(this,event)"   onBlur="done();"/>   
  	 <BR> 
    <input   id="aceptar" name="aceptar"  title="aceptar" value="" type="button" />
  
    		</div>	
 	<input   id="numlinea" name="numlinea"  value="" type="hidden" />
 	<input   id="codfactura" name="codfactura"  value="" type="hidden" />
    <input   id="cdgbar" name="cdgbar"  value="" type="hidden" />
    <input   id="descuento" name="descuento"  value="" type="hidden" />
    <input   id="cliexe" name="cliexe"  value="" type="hidden" />
    <input   id="cantidad" name="cantidad"  value="" type="hidden" />   
    <input   id="clades" name="clades"  value=" <?php echo $clades ?> " type="hidden" />
        		</div>	
	    
	</form>
<blockquote>&nbsp;	</blockquote>
</div>

			      <input class="cajaTotales" name="baseimponible" type="hidden" id="baseimponible" size="12" value="<?php echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
																					 
<input class="cajaTotales" name="basedescuento" type="hidden" id="basedescuento" size="12" value="<?php echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
	
<input class="cajaTotales" name="baseimpuestos" type="hidden"  id="baseimpuestos" size="12" align="right" value="<?php echo number_format($baseiva,2,",",".");?>" readonly> 
		
<input class="cajaTotales" name="preciototal" type="hidden"  id="preciototal" size="12" align="right" value="<?php echo number_format($preciotot,2,",",".");?>" readonly> 

		
      <iframe id="frame_datos3" name="frame_datos3" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
  </iframe>	
</div>


    

	</body>
</html>